# $Revision: 1.13 $, $Date: 2012/01/14 20:14:07 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Module
%define	pnam	Pluggable-Fast
Summary:	Module::Pluggable::Fast - Fast plugins with instantiation
Summary(pl.UTF-8):	Module::Pluggable::Fast - szybkie wtyczki z tworzeniem instancji
Name:		perl-Module-Pluggable-Fast
Version:	0.19
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e0eeb561a04bb4f28a4f06774bf315f2
URL:		http://search.cpan.org/dist/Module-Pluggable-Fast/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-UNIVERSAL-require
%endif
Requires:	perl-dirs >= 1.0-5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is similar to Module::Pluggable but instantiates plugins
as soon as they're found, useful for code generators like
Class::DBI::Loader.

%description -l pl.UTF-8
Ten moduł jest podobny do Module::Pluggable, ale tworzy instancje
wtyczek zaraz po znalezieniu ich, co jest przydatne dla generatorów
kodu, takich jak Class::DBI::Loader.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Module/Pluggable/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Pluggable-Fast.spec,v $
Revision 1.13  2012/01/14 20:14:07  zbyniu
- up to 0.19

Revision 1.12  2008/03/24 16:34:09  qboosh
- generic URL

Revision 1.11  2007-12-19 15:58:45  zbyniu
- up to 0.18

Revision 1.10  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:41  baggins
- converted to UTF-8

Revision 1.8  2006/08/25 10:11:43  glen
- rel 4

Revision 1.7  2006/08/24 22:37:49  glen
- rel 3

Revision 1.6  2006/08/24 21:18:46  qboosh
- vendorlib/Module/Pluggable dir moved to perl-dirs

Revision 1.5  2005/11/07 14:15:15  migo
- require UNIVERSAL-require instead of UNIVERSAL-exports
- release 2

Revision 1.4  2005/06/21 15:14:08  czucz
- updated to 0.16

Revision 1.3  2005/06/02 18:51:58  qboosh
- pl

Revision 1.2  2005/06/01 07:14:59  glen
- BR for tests

Revision 1.1  2005/05/31 19:35:32  migo
- initial revision (big help from pldcpan.pl)
